package com.ningdatech.kqapi.zzsfw.controller;

import com.ningdatech.kqapi.zzsfw.entity.dto.NdKqZzsfwMattersDeduplicateDTO;
import com.ningdatech.kqapi.zzsfw.entity.dto.NdKqZzsfwMenuDTO;
import com.ningdatech.kqapi.zzsfw.entity.vo.MatterTopVO;
import com.ningdatech.kqapi.zzsfw.entity.vo.TreeVO;
import com.ningdatech.kqapi.zzsfw.manage.MatterManage;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author ZPF
 * @since 2023-10-27
 */
@Slf4j
@Validated
@RestController
@RequestMapping("/api/v1/zzsfw/")
@RequiredArgsConstructor
public class NdKqZzsfwMenuController {
    private final MatterManage matterManage;

    @GetMapping("/matters")
    public List<TreeVO> getMatters() {
        return matterManage.getMatters();
    }

    @GetMapping("/top10")
    public List<MatterTopVO> topTen() {
        return matterManage.topTen();
    }

    @PostMapping("/save")
    public String save(@RequestBody NdKqZzsfwMenuDTO dto) {
        return matterManage.save(dto);
    }

    @GetMapping("/remove-all")
    public String removeAll() {
        return matterManage.removeAll();
    }

    @PostMapping("/save-dup")
    public String saveDup(@RequestBody NdKqZzsfwMattersDeduplicateDTO dto) {
        return matterManage.saveDup(dto);
    }

    @GetMapping("/remove-all-dup")
    public String removeAllDup() {
        return matterManage.removeAllDup();
    }
}
